org.eclipse.wst.jsdt.ui

## Class OverrideIndicatorLabelDecorator

- java.lang.Object
- - org.eclipse.wst.jsdt.ui.OverrideIndicatorLabelDecorator

    public class OverrideIndicatorLabelDecorator
    extends java.lang.Object

LabelDecorator that decorates an method's image with override or implements overlays. The viewer using this decorator is responsible for updating the images on element changes.

This class may be instantiated; it is not intended to be subclassed.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Constructor Summary

Constructors
Constructor and Description
`OverrideIndicatorLabelDecorator()` Creates a decorator.
`OverrideIndicatorLabelDecorator(org.eclipse.wst.jsdt.internal.ui.viewsupport.ImageDescriptorRegistry registry)` Note: This constructor is for internal use only.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addListener(ILabelProviderListener listener)`
`int` `computeAdornmentFlags(java.lang.Object element)` Note: This method is for internal use only.
`void` `decorate(java.lang.Object element, IDecoration decoration)`
`Image` `decorateImage(Image image, java.lang.Object element)`
`java.lang.String` `decorateText(java.lang.String text, java.lang.Object element)`
`void` `dispose()`
`protected int` `getOverrideIndicators(IFunction method)` Note: This method is for internal use only.
`boolean` `isLabelProperty(java.lang.Object element, java.lang.String property)`
`void` `removeListener(ILabelProviderListener listener)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OverrideIndicatorLabelDecorator

    public OverrideIndicatorLabelDecorator()

Creates a decorator. The decorator creates an own image registry to cache images.

#### OverrideIndicatorLabelDecorator

    public OverrideIndicatorLabelDecorator(org.eclipse.wst.jsdt.internal.ui.viewsupport.ImageDescriptorRegistry registry)

Note: This constructor is for internal use only. Clients should not call this constructor.

Parameters:
  `registry` - The registry to use.

### Method Detail

#### decorateText

    public java.lang.String decorateText(java.lang.String text,
                                         java.lang.Object element)

#### decorateImage

    public Image decorateImage(Image image,
                               java.lang.Object element)

#### computeAdornmentFlags

    public int computeAdornmentFlags(java.lang.Object element)

Note: This method is for internal use only. Clients should not call this method.

Parameters:
  `element` - The element to decorate
Returns:
  Resulting decorations (combination of JavaScriptElementImageDescriptor.IMPLEMENTS and JavaScriptElementImageDescriptor.OVERRIDES)

#### getOverrideIndicators

    protected int getOverrideIndicators(IFunction method)
                                 throws JavaScriptModelException

Note: This method is for internal use only. Clients should not call this method.

Parameters:
  `method` - The element to decorate
Returns:
  Resulting decorations (combination of JavaScriptElementImageDescriptor.IMPLEMENTS and JavaScriptElementImageDescriptor.OVERRIDES)
Throws:
  `JavaScriptModelException`

#### addListener

    public void addListener(ILabelProviderListener listener)

#### dispose

    public void dispose()

#### isLabelProperty

    public boolean isLabelProperty(java.lang.Object element,
                                   java.lang.String property)

#### removeListener

    public void removeListener(ILabelProviderListener listener)

#### decorate

    public void decorate(java.lang.Object element,
                         IDecoration decoration)